Send a test event to an arbitrary URL
curl --request POST \
--url https://api.tela.com/webhook/test-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://erp.example.com/hooks/tela",
"payload": {},
"headers": {
"authorization": "Bearer erp-webhook-token"
}
}
'import requests
url = "https://api.tela.com/webhook/test-url"
payload = {
"url": "https://erp.example.com/hooks/tela",
"payload": {},
"headers": { "authorization": "Bearer erp-webhook-token" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://erp.example.com/hooks/tela',
payload: {},
headers: {authorization: 'Bearer erp-webhook-token'}
})
};
fetch('https://api.tela.com/webhook/test-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/webhook/test-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://erp.example.com/hooks/tela',
'payload' => [
],
'headers' => [
'authorization' => 'Bearer erp-webhook-token'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/webhook/test-url"
payload := strings.NewReader("{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/webhook/test-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/webhook/test-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"status": 200,
"statusText": "OK",
"responseTime": 152,
"responseBody": "{\"ok\":true}"
}Webhook
Send a test event to an arbitrary URL
Sends a synthetic task.completed event payload to url with POST, Content-Type: application/json and the given headers, without creating a subscription.
POST
/
webhook
/
test-url
Send a test event to an arbitrary URL
curl --request POST \
--url https://api.tela.com/webhook/test-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://erp.example.com/hooks/tela",
"payload": {},
"headers": {
"authorization": "Bearer erp-webhook-token"
}
}
'import requests
url = "https://api.tela.com/webhook/test-url"
payload = {
"url": "https://erp.example.com/hooks/tela",
"payload": {},
"headers": { "authorization": "Bearer erp-webhook-token" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://erp.example.com/hooks/tela',
payload: {},
headers: {authorization: 'Bearer erp-webhook-token'}
})
};
fetch('https://api.tela.com/webhook/test-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/webhook/test-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://erp.example.com/hooks/tela',
'payload' => [
],
'headers' => [
'authorization' => 'Bearer erp-webhook-token'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/webhook/test-url"
payload := strings.NewReader("{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tela.com/webhook/test-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/webhook/test-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://erp.example.com/hooks/tela\",\n \"payload\": {},\n \"headers\": {\n \"authorization\": \"Bearer erp-webhook-token\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"status": 200,
"statusText": "OK",
"responseTime": 152,
"responseBody": "{\"ok\":true}"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Result of the test request to the URL
true when your endpoint answered with a 2xx status.
HTTP status returned by your endpoint; 0 when the request could not be completed.
Round-trip time in milliseconds (0 when the request failed).
Error message when the request could not be completed.